Package jakarta.websocket

## Interface Encoder

- All Known Subinterfaces:
    `Encoder.Binary<T>`, `Encoder.BinaryStream<T>`, `Encoder.Text<T>`, `Encoder.TextStream<T>`

      public interface Encoder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `Encoder.Binary<T>` |
    `static interface` | `Encoder.BinaryStream<T>` |
    `static interface` | `Encoder.Text<T>` |
    `static interface` | `Encoder.TextStream<T>` |

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `destroy()` | Destroy the decoder.
    `default void` | `init​(EndpointConfig endpointConfig)` | Initialise the encoder.

- - ### Method Detail

    - #### init

          default void init​(EndpointConfig endpointConfig)

      Initialise the encoder. The default implementation is a NO-OP.
      Parameters:
        `endpointConfig` - The end-point configuration

    - #### destroy

          default void destroy()

      Destroy the decoder. The default implementation is a NO-OP.